[
  { /* system layout specs */

    blockid=test;

    localvar=
    {
      .label.size=200;
      .units.size=90;

      .menu.storage="\u4fdd\u5b58\u6a29\u9650...";
      .menu.paths="\u30d1\u30b9...";

      .conn.title=[titled, "\u63a5\u7d9a\u306e\u8a2d\u5b9a"];
      .conn.enabled="\u30c7\u30d5\u30a9\u30eb\u30c8\u8a2d\u5b9a\u306b\u3088\u308a NNTP \u30b5\u30fc\u30d3\u30b9\u3092\u6709\u52b9\u5316";
      .conn.maxreaders="\u6700\u5927\u30e6\u30fc\u30b6\u30fc\u63a5\u7d9a\u6570:";
      .conn.maxfeeds="\u6700\u5927\u5fdc\u7b54\u63a5\u7d9a\u6570:";
      .conn.timeout="\u63a5\u7d9a\u306e\u30bf\u30a4\u30e0\u30a2\u30a6\u30c8 :";
      .conn.timeout.items=
      [
        sec,
        min,
        hour
      ];

      .label.size=200;
      .enc.encryption.label="\u6697\u53f7\u5316:";
      .enc.enable.items=
      [
        false,
        true
      ];
      .enc.enable.labels=
      [
        Disabled,
        Enabled
      ];
      .enc.port.label="NNTP \u30b5\u30fc\u30d0\u30fc\u30dd\u30fc\u30c8:";
      .enc.def.auth.label="\u30c7\u30d5\u30a9\u30eb\u30c8\u306e\u8a8d\u8a3c\u65b9\u6cd5:";
      .enc.auth.method.items=
      [
        basic,
        certs
      ];
      .enc.auth.method.labels=
      [
        "\u57fa\u672c",
        "\u8a3c\u660e\u66f8"
      ];
    },

    content=
    [ /* system layout contents */

      { /* service enabled */
        ctrl=togglepane;
        text=$.conn.enabled;
        val=$service.nntp.service.enabled.value;
      }, /* service enabled */

      { /* comp. space */
        ctrl=vstrut;
        size=$.g.comp.space;
      }, /* comp. space */

      { /* start of connection settings group */
        ctrl=pane;
        border=$.conn.title;
        layout=[ybox];
        content=
        [ /* start of conn. settings contents */

          { /* Start of max readers */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* contents of max readers */

              { /* max readers label */
                ctrl=label;
                wrap=$.label.size;
                alignh=right;
                aligny=0.5;
                text=$.conn.maxreaders;
                id=connmaxreaders;
                label=maxreaders;
              }, /* max readers label */

              { /* comp. space */
                ctrl=rigid;
              }, /* comp. space */

              { /* max readers textfield */
                ctrl=number;
                aligny=0.5;
                label=maxreaders;
                val=$service.nntp.network.maxreaders.value;
              }, /* max readers textfield */
	      {
		ctrl=hglue;
	      }

            ] /* max readers contents */
          }, /* End of max readers */

          { /* vertical spacing between components */
            ctrl=vstrut;
            size=$.g.comp.space;
          },
  
          { /* Start of max feeds */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* contents of max feeds */
              { /* max feeds label */
                ctrl=label;
                wrap=$.label.size;
                alignh=right;
                aligny=0.5;
                text=$.conn.maxfeeds;
                id=connmaxfeeds;
                label=maxfeeds;
              }, /* max feeds label */

              { /* comp. space */
                ctrl=rigid;
              }, /* comp. space */

              { /* max feeds textfield */
                ctrl=number;
                aligny=0.5;
                label=maxfeeds;
                val=$.service.nntp.network.maxfeeds;
              } /* max feeds textfield */

            ] /* max feeds contents */
          }, /* End of max feeds */

          { /* vertical spacing between components */
            ctrl=vstrut;
            size=$.g.comp.space;
          },

          { /* Start of timeout */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* contents of timeout */
              { /* timeout label */
                ctrl=label;
                wrap=$.label.size;
                alignh=right;
                aligny=0.5;
                text=$.conn.timeout;
                id=conntimeout;
                label=timeout;
              }, /* timeout label */

              { /* comp. space */
                ctrl=rigid;
              }, /* comp. space */

              { /* timeout textfield */
                ctrl=number;
                label=timeout;
                alignh=left;
                items=$.conn.timeout.items;
                labels=$g.timeunit.labels;
                val=$.service.nntp.network.timeout;
                unit=sec;
                aligny=0.5;
              }, /* timeout textfield */
	      {
		ctrl=hglue;
	      }

            ] /* timeout contents */
          } /* End of timeout */

        ] /* end of conn. settings contents */
      }, /* end of connection settings group */

      { /* comp. space */
        ctrl=vstrut;
        size=$.g.comp.space;
      } /* comp. space */


    ] /* system layout contents */
  } /* system layout specs */

]



